#include<iostream>
#include<string>
using namespace std;
const long long MAXN=1e5+7;
string duma[MAXN];
int main (){
    string a;

    int n;
    cin>>a;
    cin>>n;
    //a.erase(a.begin(),a.end()-3);
    for(int i=0;i<n;i++){
        cin>>duma[i];
    }
    int ind=0;
    bool fl=false;
    bool fl2;
    int best;
    int len;
    while(true){
            fl=false;
            best=a.size();
        for(int i=0;i<n;i++){
            for(int j=0;j<a.size();j++){
                if(a[j]==duma[i][0]){
                    fl2=true;
                    for(int p=duma[i].size()-1;p>=0;p--){
                        if(a[j+p]!=duma[i][p]){
                            fl2=false;
                            break;
                        }
                    }
                    if(fl2){
                        fl=true;
                        if(best>j){
                            best=j;
                            len=duma[i].size();
                        }
                        break;
                    }
                }
            }
        }
        if(!fl) break;
        //cout<<"triq ot "<<best<<"\n";
        a.erase(a.begin()+best,a.begin()+best+len);
        //cout<<a<<"\n";
    }
    cout<<a<<"\n";
    return 0;
}

